cascading.util

## Class Trie.Entry<V>

- java.lang.Object
- - cascading.util.Trie.Entry<V>

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Trie<V extends java.io.Serializable>

      public static class Trie.Entry<V>
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trie.Entry()`
    `Trie.Entry(java.lang.String p, V v)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `prefix()`
    `java.lang.String` | `toString()`
    `V` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Trie.Entry

          public Trie.Entry()

    - #### Trie.Entry

          public Trie.Entry(java.lang.String p,
                    V v)

  - ### Method Detail

    - #### prefix

          public java.lang.String prefix()

    - #### value

          public V value()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.